Recording
List pinned recording views
List the recording views a user has pinned to the tab bar of the recordings table, in tab order. Private views the user can access are included. Views the user can no longer access are left out.
GET
/
v1
/
recordings
/
views
/
pinned
curl --request GET \
--url 'https://api.claap.io/v1/recordings/views/pinned?userEmail=jane.doe%40example.com' \
--header 'X-Claap-Key: <api-key>'
{
"result": [
{
"viewId": "Vw7Kp2Qm9Tx4Rb6Ln3Hd8",
"name": "Discovery calls",
"visibility": "Public",
"icon": ":mag:",
"isDefault": false,
"ownerId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"columns": [
{
"type": "Default",
"columnId": "RecordingTitle",
"isHidden": false
},
{
"type": "Default",
"columnId": "RecordingDate",
"isHidden": false
},
{
"type": "AiSection",
"fieldId": "AiSummarySection#Lp3Wc8Yf5Jd2Hk7Rt1Bn4",
"title": "Call outcome",
"hasAutogen": true,
"isConfigured": true,
"isHidden": false,
"width": 240
}
],
"filters": {
"recordingTypeIn": [
"Meeting"
],
"sourceIn": [
"Zoom",
"GoogleMeet"
],
"createdAfterRelative": 30
},
"sort": [
{
"field": "CreatedAt",
"order": "Desc"
}
]
},
{
"viewId": "Default_MyMeetings",
"name": "My Meetings",
"visibility": "Public",
"icon": ":bust_in_silhouette:",
"isDefault": true,
"ownerId": "#global",
"columns": [
{
"type": "Default",
"columnId": "RecordingTitle",
"isHidden": false
},
{
"type": "Default",
"columnId": "RecordingOwner",
"isHidden": false
},
{
"type": "Default",
"columnId": "RecordingDate",
"isHidden": false
}
],
"filters": {
"peopleIn": [
{
"type": "Me"
}
],
"recordingTypeIn": [
"Meeting"
]
},
"sort": []
},
{
"viewId": "Qz4Nf8Wc2Ht6Jm1Xr9Pb5",
"name": "My demos",
"visibility": "Private",
"isDefault": false,
"ownerId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"columns": [
{
"type": "Default",
"columnId": "RecordingTitle",
"isHidden": false
},
{
"type": "Default",
"columnId": "RecordingPeople",
"isHidden": false
}
],
"filters": {
"authorIdIn": [
{
"type": "Me"
}
],
"title": {
"contains": "Demo"
}
},
"sort": [
{
"field": "CreatedAt",
"order": "Desc"
}
]
}
]
}Lists the recording views a user has pinned to the tab bar of the recordings table, in tab order. A user who never changed their tab bar gets the built-in default views.
Pinned views follow the same access rules as the Claap application: they include the private views the user can access, and leave out views the user can no longer access. See pinned views.
curl --request GET \
--url 'https://api.claap.io/v1/recordings/views/pinned?userEmail=jane.doe%40example.com' \
--header 'X-Claap-Key: <api-key>'
Query Parameters
⌘I
curl --request GET \
--url 'https://api.claap.io/v1/recordings/views/pinned?userEmail=jane.doe%40example.com' \
--header 'X-Claap-Key: <api-key>'
{
"result": [
{
"viewId": "Vw7Kp2Qm9Tx4Rb6Ln3Hd8",
"name": "Discovery calls",
"visibility": "Public",
"icon": ":mag:",
"isDefault": false,
"ownerId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"columns": [
{
"type": "Default",
"columnId": "RecordingTitle",
"isHidden": false
},
{
"type": "Default",
"columnId": "RecordingDate",
"isHidden": false
},
{
"type": "AiSection",
"fieldId": "AiSummarySection#Lp3Wc8Yf5Jd2Hk7Rt1Bn4",
"title": "Call outcome",
"hasAutogen": true,
"isConfigured": true,
"isHidden": false,
"width": 240
}
],
"filters": {
"recordingTypeIn": [
"Meeting"
],
"sourceIn": [
"Zoom",
"GoogleMeet"
],
"createdAfterRelative": 30
},
"sort": [
{
"field": "CreatedAt",
"order": "Desc"
}
]
},
{
"viewId": "Default_MyMeetings",
"name": "My Meetings",
"visibility": "Public",
"icon": ":bust_in_silhouette:",
"isDefault": true,
"ownerId": "#global",
"columns": [
{
"type": "Default",
"columnId": "RecordingTitle",
"isHidden": false
},
{
"type": "Default",
"columnId": "RecordingOwner",
"isHidden": false
},
{
"type": "Default",
"columnId": "RecordingDate",
"isHidden": false
}
],
"filters": {
"peopleIn": [
{
"type": "Me"
}
],
"recordingTypeIn": [
"Meeting"
]
},
"sort": []
},
{
"viewId": "Qz4Nf8Wc2Ht6Jm1Xr9Pb5",
"name": "My demos",
"visibility": "Private",
"isDefault": false,
"ownerId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"columns": [
{
"type": "Default",
"columnId": "RecordingTitle",
"isHidden": false
},
{
"type": "Default",
"columnId": "RecordingPeople",
"isHidden": false
}
],
"filters": {
"authorIdIn": [
{
"type": "Me"
}
],
"title": {
"contains": "Demo"
}
},
"sort": [
{
"field": "CreatedAt",
"order": "Desc"
}
]
}
]
}